commit:     22c1ef742c42d62a9438ffbaf74f367606d4629a
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 21:32:43 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 21:33:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22c1ef74

net-misc/iperf: start installing iperf3 systemd unit

Closes: https://bugs.gentoo.org/742977
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-misc/iperf/iperf-3.9-r1.ebuild | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/net-misc/iperf/iperf-3.9-r1.ebuild 
b/net-misc/iperf/iperf-3.9-r1.ebuild
new file mode 100644
index 00000000000..1b063463c5c
--- /dev/null
+++ b/net-misc/iperf/iperf-3.9-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit systemd
+
+DESCRIPTION="A TCP, UDP, and SCTP network bandwidth measurement tool"
+HOMEPAGE="https://github.com/esnet/iperf/";
+SRC_URI="https://github.com/esnet/iperf/archive/${PV/_/}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint"
+IUSE="libressl sctp static-libs"
+
+DEPEND="
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       sctp? ( net-misc/lksctp-tools )
+"
+RDEPEND="
+       ${DEPEND}
+"
+S=${WORKDIR}/${P/_/}
+DOCS="README.md RELNOTES.md"
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_with sctp)
+}
+
+src_install() {
+       default
+       newconfd "${FILESDIR}"/iperf.confd iperf3
+       newinitd "${FILESDIR}"/iperf3.initd iperf3
+       systemd_dounit contrib/iperf3.service
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to